Subject: Re: Per-flow IPv4 ECMP

From: roopa <[email-masked]>
Date: Mon, 28 Sep 2015 06:48:09 -0700

On 9/28/15, 1:57 AM, Matthew Dupre wrote:
> Hi,
>
> I'm interested in the Linux kernel's support for per-flow IPv4 ECMP (i.e. consistent path selection based on a hash of the connection tuple).  I'd been led to believe[1] that this depended on the route cache, which was removed in 3.6.
>
> However, I tested a route with multiple next hops on a 3.10 and 3.13 kernel, and ECMP was per-flow!  Obviously I'm pleased that this was the case, but I'd like to understand why this is supported, and whether I can rely on it in future.
>
> Could anyone give me a little clarification on whether this is now supported by some means other than the route cache, and whether that support is intended to be continued?
>
This is being worked on currently by Peter Nørlund
https://lwn.net/Articles/657431/